### Property

# Adw Squeezer:xalign

deprecated: 1.4

#### Declaration

    property xalign: float [ read, write ]

#### Description [src]

The horizontal alignment, from 0 (start) to 1 (end).

This affects the children allocation during transitions, when they exceed the size of the squeezer.

For example, 0.5 means the child will be centered, 0 means it will keep the start side aligned and overflow the end side, and 1 means the opposite.

Type:`gfloat`

Deprecated since: 1.4

See the migration guide.

Default value | 0.500000
Getter method | `adw_squeezer_get_xalign()`
Setter method | `adw_squeezer_set_xalign()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no